﻿using Microsoft.AspNetCore.Mvc;
using Facebook_Login_Core_MVC.Models;

using Newtonsoft.Json;
using ASPSnippets.Core.FaceBookAPI;

namespace Facebook_Login_Core_MVC.Controllers
{
	public class HomeController : Controller
	{
		public IActionResult Index()
		{
			FaceBookConnect.API_Key = "<API_Key>";
			FaceBookConnect.API_Secret = "<API_Secret>";
			FaceBookConnect.Version = "v19.0";

			FaceBookUser faceBookUser = new FaceBookUser();
			if (Request.Query["error"] == "access_denied")
			{
				ViewBag.Message = "User has denied access.";
			}
			else 
			{
				string code = Request.Query["code"];
				if (!string.IsNullOrEmpty(code))
				{
					FaceBookConnect connect = new FaceBookConnect();
                    string data = connect.Fetch(code, "me", "id,name,email,picture");
					faceBookUser = JsonConvert.DeserializeObject<FaceBookUser>(data);
					faceBookUser.IsDisable = true;
				}
			}

			return View(faceBookUser);
		}

		[HttpPost]
		public RedirectResult Login()
		{
			string url = FaceBookConnect.Authorize("user_photos,email", string.Format("{0}://{1}/{2}", Request.Scheme, Request.Host, "Home/Index/"));
			return Redirect(url);
		}
	}
}
